Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.stat
Enum TimeNormalizeType

    java.lang.Object
      java.lang.Enum<TimeNormalizeType>
          umontreal.iro.lecuyer.contactcenters.msk.stat.TimeNormalizeType

All Implemented Interfaces:
  Serializable, Comparable<TimeNormalizeType>

    public enum TimeNormalizeType

extends Enum<TimeNormalizeType>

Possible type of time normalizations after a matrix of counters is obtained.

Enum Constant Summary
`ALWAYS` Time normalization is always applied, because the counters are less sensible if not normalized.
`CONDITIONAL` Time normalization is performed depending on a user-defined parameter, `SimParams.isNormalizeToDefaultUnit()`.
`NEVER` The values of the counters are never normalized with respect to time.

Method Summary
`static TimeNormalizeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TimeNormalizeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEVER

    public static final TimeNormalizeType NEVER

  The values of the counters are never normalized with respect to time. This applies to measures not corresponding to counts, e.g., the maximal waiting time.

### ALWAYS

    public static final TimeNormalizeType ALWAYS

  Time normalization is always applied, because the counters are less sensible if not normalized. This applies, in particular, to the time-average number of agents.

### CONDITIONAL

    public static final TimeNormalizeType CONDITIONAL

  Time normalization is performed depending on a user-defined parameter, `SimParams.isNormalizeToDefaultUnit()`.

Method Detail

### values

    public static TimeNormalizeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TimeNormalizeType c : TimeNormalizeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TimeNormalizeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.